Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.results
Class NumericalResult

    java.lang.Object
      de.jstacs.AnnotatedEntity
          de.jstacs.results.Result
              de.jstacs.results.SimpleResult
                  de.jstacs.results.NumericalResult

All Implemented Interfaces:
  Storable, Comparable<SimpleResult>

    public class NumericalResult

extends SimpleResult

Class for numerical `Result` values. Possible data types are the numerical data types of `DataType`.

Author:
  Jan Grau

Field Summary

Fields inherited from class de.jstacs.results.SimpleResult
`result`

Fields inherited from class de.jstacs.AnnotatedEntity
`comment, datatype, name`

Constructor Summary
`protected` | `NumericalResult(DataType datatype, String name, String comment, Comparable result)` Creates a `NumericalResult` of a primitive numerical data type.
`` | `NumericalResult(StringBuffer representation)` The standard constructor for the interface `Storable`.
`` | `NumericalResult(String name, String comment, double result)` The simplified constructor for the primitive type `double`.
`` | `NumericalResult(String name, String comment, int result)` The simplified constructor for the primitive type `int`.
`` | `NumericalResult(String name, String comment, Integer result)` The simplified constructor for the type `Integer`.
`` | `NumericalResult(String name, String comment, long result)` The simplified constructor for the primitive type `long`.

Method Summary
`String` | `getXMLTag()` This method returns a tag used as outer tag of the XML description.
`String` | `toString()`

Methods inherited from class de.jstacs.results.SimpleResult
`appendFurtherInfos, compareTo, equals, extractFurtherInfos, getValue`

Methods inherited from class de.jstacs.results.Result
`checkDatatype, createResult, isCastableResult, isComparableResult`

Methods inherited from class de.jstacs.AnnotatedEntity
`getComment, getDatatype, getName, toXML`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NumericalResult

    public NumericalResult(StringBuffer representation)
                    throws NonParsableException

  The standard constructor for the interface `Storable`. Constructs a `NumericalResult` from its XML representation.

  Parameters:
    `representation` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `StringBuffer` `representation` could not be parsed

### NumericalResult

    protected NumericalResult(DataType datatype,
                              String name,
                              String comment,
                              Comparable result)

  Creates a `NumericalResult` of a primitive numerical data type.

  Parameters:
    `datatype` - the data type
    `name` - the name of the result
    `comment` - a comment on the result
    `result` - the result itself

### NumericalResult

    public NumericalResult(String name,
                           String comment,
                           double result)

  The simplified constructor for the primitive type `double`.

  Parameters:
    `name` - the name of the result
    `comment` - a comment on the result
    `result` - the result itself
  See Also:
    `NumericalResult(DataType, String, String, Comparable)`

### NumericalResult

    public NumericalResult(String name,
                           String comment,
                           int result)

  The simplified constructor for the primitive type `int`.

  Parameters:
    `name` - the name of the result
    `comment` - a comment on the result
    `result` - the result itself
  See Also:
    `NumericalResult(DataType, String, String, Comparable)`

### NumericalResult

    public NumericalResult(String name,
                           String comment,
                           Integer result)

  The simplified constructor for the type `Integer`.

  Parameters:
    `name` - the name of the result
    `comment` - a comment on the result
    `result` - the result itself
  See Also:
    `NumericalResult(DataType, String, String, Comparable)`

### NumericalResult

    public NumericalResult(String name,
                           String comment,
                           long result)

  The simplified constructor for the primitive type `long`.

  Parameters:
    `name` - the name of the result
    `comment` - a comment on the result
    `result` - the result itself
  See Also:
    `NumericalResult(DataType, String, String, Comparable)`

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `SimpleResult`

### getXMLTag

    public String getXMLTag()

  Description copied from class: `AnnotatedEntity`
  This method returns a tag used as outer tag of the XML description.

  Specified by:
    `getXMLTag` in class `AnnotatedEntity`
  Returns:
    a tag used as outer tag of the XML description

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD